#pragma once
#include "panel.hpp"
#include <ftxui/dom/canvas.hpp>
#include "levelmanager.hpp"

using ftxui::Canvas;

namespace gui {
  class MapViewUI : public Panel {
    public:
      Canvas $canvas;
      GameLevel $level;

      MapViewUI(GameLevel &level);
      void create_render();
      void resize_canvas();
      void draw_map();
      void update_level(GameLevel &level);
  };
}
